curl https://api.thanxsandbox.com/partner/users/:id/communication_settings \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
{
"communication_setting": {
"id": "weori234098",
"merchant_id": "owierywtwt",
"merchant_handle": "example-merchant",
"user_id": "woeruijsfwer",
"reward_progress": {
"email": true
},
"reward_offer": {
"notification": true,
"email": true
},
"marketing_general": {
"email": true,
"sms":false
}
}
}
Communication Settings
Get User's Communication Settings
This endpoint returns a user’s communication settings for the specified merchant. The notification key reflects a user’s settings for receiving push notifications in their app or via text if they don’t have an app installed. The email key reflects a user’s settings for receiving emails.
GET
/
partner
/
users
/
:id
/
communication_settings
curl https://api.thanxsandbox.com/partner/users/:id/communication_settings \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
{
"communication_setting": {
"id": "weori234098",
"merchant_id": "owierywtwt",
"merchant_handle": "example-merchant",
"user_id": "woeruijsfwer",
"reward_progress": {
"email": true
},
"reward_offer": {
"notification": true,
"email": true
},
"marketing_general": {
"email": true,
"sms":false
}
}
}
Scopes:
users.read, communication_settings.readParameters
string
required
User ID
string
required
Merchant ID
Response
string
The ID of the settings record
string
The ID of the merchant
string
The handle of the merchant
string
The ID of the user
hash
hash
curl https://api.thanxsandbox.com/partner/users/:id/communication_settings \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
{
"communication_setting": {
"id": "weori234098",
"merchant_id": "owierywtwt",
"merchant_handle": "example-merchant",
"user_id": "woeruijsfwer",
"reward_progress": {
"email": true
},
"reward_offer": {
"notification": true,
"email": true
},
"marketing_general": {
"email": true,
"sms":false
}
}
}